; This is a part of the Microsoft Foundation Classes C++ library.
; Copyright (C) 1996 Watcom Corporation
; All rights reserved.
;
; This source code is only intended as a supplement to the
; Microsoft Foundation Classes Reference and related
; electronic documentation provided with the library.
; See these sources for detailed information regarding the
; Microsoft Foundation Classes product.
  
LIBRARY MRWN40D
; For Win32 DLLs, only EXPORTs really required.
 
EXPORTS
; MFC 4.0(ISV-drop)
;
; _RawDllMain@12
; _DllMain@12
; __pRawDllMain
 W?AfxNetInitModule$n()v
 W?_afxForceVectorDelete_mfcn$npn()v
 W?CreateObject$:CProcessLocal$::1n$_AFX_SOCK_STATE$$n()pn$CNoTrackObject$$
 W?$dt:CNoTrackObject$n()_
 W?AfxThunkaccept$n(uipn$sockaddr$$pni)ui
 W?AfxThunkhtons$n(us)us
 W?AfxThunkinet_addr$n(pnxa)ul
 W?AfxThunkclosesocket$n(ui)i
 W?AfxThunkgetsockname$n(uipn$sockaddr$$pni)i
 W?AfxThunkgetpeername$n(uipn$sockaddr$$pni)i
 W?AfxThunkntohs$n(us)us
 W?AfxThunkinet_ntoa$n($in_addr$$)pna
 W?AfxThunkWSAGetLastError$n()i
 W?AfxThunkWSASetLastError$n(i)v
 W?AfxThunkWSAStartup$n(uspn$WSAData$$)i
 W?AfxThunkWSACleanup$n()i
 W?AfxThunkhtonl$n(ul)ul
 W?AfxThunksocket$n(iii)ui
 W?AfxThunkgethostbyname$n(pnxa)pn$hostent$$
 W?AfxThunkrecv$n(uipnaii)i
 W?AfxThunksend$n(uipnxaii)i
 W?AfxThunkWSAAsyncSelect$n(uipn$HWND__$$uil)i
 W?AfxThunkrecvfrom$n(uipnaiipn$sockaddr$$pni)i
 W?AfxThunksendto$n(uipnxaiipnx$sockaddr$$i)i
 W?AfxThunkconnect$n(uipnx$sockaddr$$i)i
 W?AfxThunkbind$n(uipnx$sockaddr$$i)i
 W?AfxThunksetsockopt$n(uiiipnxai)i
 W?AfxThunkgetsockopt$n(uiiipnapni)i
 W?AfxThunkioctlsocket$n(uilpnul)i
 W?AfxThunklisten$n(uii)i
 W?AfxThunkshutdown$n(uii)i
 W?$dt:_AFX_SOCK_STATE$n()_
 W?AfxSocketTerm$n()v
 W?AfxSocketInit$n(pn$WSAData$$)i
 W?$ct:CAsyncSocket$n()_
 W?Create$:CAsyncSocket$n(uiilpnxa)i
 W?Attach$:CAsyncSocket$n(uil)i
 W?Detach$:CAsyncSocket$n()ui
 W?GetPeerName$:CAsyncSocket$n(rn$CString$$rnui)i
 W?GetSockName$:CAsyncSocket$n(rn$CString$$rnui)i
 W?Accept$:CAsyncSocket$n(rn$1$pn$sockaddr$$pni)i
 W?Bind$:CAsyncSocket$n(uipnxa)i
 W?Close$:CAsyncSocket$n()v
 W?Connect$:CAsyncSocket$n(pnxaui)i
 W?Receive$:CAsyncSocket$n(pnvii)i
 W?ReceiveFrom$:CAsyncSocket$n(pnvirn$CString$$rnuii)i
 W?Send$:CAsyncSocket$n(pnxvii)i
 W?SendTo$:CAsyncSocket$n(pnxviuipnxai)i
 W?AsyncSelect$:CAsyncSocket$n(l)i
 W?OnReceive$:CAsyncSocket$n(i)v
 W?OnSend$:CAsyncSocket$n(i)v
 W?OnOutOfBandData$:CAsyncSocket$n(i)v
 W?OnAccept$:CAsyncSocket$n(i)v
 W?OnConnect$:CAsyncSocket$n(i)v
 W?OnClose$:CAsyncSocket$n(i)v
 W?$dt:CAsyncSocket$n()_
 W?LookupHandle$:CAsyncSocket$n(uii)pn$1$
 W?AttachHandle$:CAsyncSocket$n(uipn$1$i)v
 W?DetachHandle$:CAsyncSocket$n(uii)v
 W?KillSocket$:CAsyncSocket$n(uipn$1$)v
 W?DoCallBack$:CAsyncSocket$n(uil)v
 W?Socket$:CAsyncSocket$n(ilii)i
 W?AssertValid$:CAsyncSocket$n.x()v
 W?Dump$:CAsyncSocket$n.x(rn$CDumpContext$$)v
 W?ReceiveFromHelper$:CAsyncSocket$n(pnvipn$sockaddr$$pnii)i
 W?SendToHelper$:CAsyncSocket$n(pnxvipnx$sockaddr$$ii)i
 W?ConnectHelper$:CAsyncSocket$n(pnx$sockaddr$$i)i
 W?$ct:CSocket$n()_
 W?CancelBlockingCall$:CSocket$n()v
 W?OnMessagePending$:CSocket$n()i
 W?$dt:CSocket$n()_
 W?Accept$:CSocket$n(rn$CAsyncSocket$$pn$sockaddr$$pni)i
 W?Close$:CSocket$n()v
 W?Receive$:CSocket$n(pnvii)i
 W?Send$:CSocket$n(pnxvii)i
 W?SendChunk$:CSocket$n(pnxvii)i
 W?ConnectHelper$:CSocket$n(pnx$sockaddr$$i)i
 W?ReceiveFromHelper$:CSocket$n(pnvipn$sockaddr$$pnii)i
 W?SendToHelper$:CSocket$n(pnxvipnx$sockaddr$$ii)i
 W?ProcessAuxQueue$:CSocket$n()i
 W?AuxQueueAdd$:CSocket$n(uiuil)v
 W?PumpMessages$:CSocket$n(ui)i
 W?AssertValid$:CSocket$n.x()v
 W?Dump$:CSocket$n.x(rn$CDumpContext$$)v
 W?$ct:CSocketFile$n(pn$CSocket$$i)_
 W?$dt:CSocketFile$n()_
 W?Read$:CSocketFile$n(pnvui)ui
 W?Write$:CSocketFile$n(pnxvui)v
 W?Close$:CSocketFile$n()v
 W?Open$:CSocketFile$n(pnxauipn$CFileException$$)i
 W?Duplicate$:CSocketFile$n.x()pn$CFile$$
 W?GetPosition$:CSocketFile$n.x()ul
 W?Seek$:CSocketFile$n(lui)l
 W?SetLength$:CSocketFile$n(ul)v
 W?GetLength$:CSocketFile$n.x()ul
 W?LockRange$:CSocketFile$n(ulul)v
 W?UnlockRange$:CSocketFile$n(ulul)v
 W?Flush$:CSocketFile$n()v
 W?Abort$:CSocketFile$n()v
 W?AssertValid$:CSocketFile$n.x()v
 W?Dump$:CSocketFile$n.x(rn$CDumpContext$$)v
 W?$ct:CSocketWnd$n()_
 W?OnSocketNotify$:CSocketWnd$n(uil)l
 W?OnSocketDead$:CSocketWnd$n(uil)l
 W?_GetBaseMessageMap$:CSocketWnd$n()pnx$AFX_MSGMAP$$
 W?GetMessageMap$:CSocketWnd$n.x()pnx$AFX_MSGMAP$$
 W?$cv:CAsyncSocket$n.x()ui
 W?GetPeerName$:CAsyncSocket$n(pn$sockaddr$$pni)i
 W?GetSockName$:CAsyncSocket$n(pn$sockaddr$$pni)i
 W?SetSockOpt$:CAsyncSocket$n(ipnxvii)i
 W?GetSockOpt$:CAsyncSocket$n(ipnvpnii)i
 W?FromHandle$:CAsyncSocket$n(ui)pn$1$
 W?GetLastError$:CAsyncSocket$n()i
 W?Bind$:CAsyncSocket$n(pnx$sockaddr$$i)i
 W?Connect$:CAsyncSocket$n(pnx$sockaddr$$i)i
 W?IOCtl$:CAsyncSocket$n(lpnul)i
 W?Listen$:CAsyncSocket$n(i)i
 W?ReceiveFrom$:CAsyncSocket$n(pnvipn$sockaddr$$pnii)i
 W?ShutDown$:CAsyncSocket$n(i)i
 W?SendTo$:CAsyncSocket$n(pnxvipnx$sockaddr$$ii)i
 W?Create$:CSocket$n(uiipnxa)i
 W?IsBlocking$:CSocket$n()i
 W?FromHandle$:CSocket$n(ui)pn$1$
 W?Attach$:CSocket$n(ui)i
 W?_GetBaseClass$:CAsyncSocket$n()pn$CRuntimeClass$$
 W?GetRuntimeClass$:CAsyncSocket$n.x()pn$CRuntimeClass$$
 W?_GetBaseClass$:CSocket$n()pn$CRuntimeClass$$
 W?GetRuntimeClass$:CSocket$n.x()pn$CRuntimeClass$$
 W?_GetBaseClass$:CSocketFile$n()pn$CRuntimeClass$$
 W?$dt:CSocketWnd$n()_
 W?$dt:CProcessLocal$::1n$_AFX_SOCK_STATE$$n()_
 W?_afxSOCK$n$AFX_SOCK_CALL$$
 W?_messageEntries$:CSocketWnd$n[]x$AFX_MSGMAP_ENTRY$$
 W?$ct:_AFX_SOCK_STATE$n()_
 W?GetRuntimeClass$:CSocketFile$n.x()pn$CRuntimeClass$$
 W?messageMap$:CSocketWnd$nx$AFX_MSGMAP$$
 W?classCAsyncSocket$:CAsyncSocket$n$CRuntimeClass$$
 W?classCSocket$:CSocket$n$CRuntimeClass$$
 W?classCSocketFile$:CSocketFile$n$CRuntimeClass$$
 W?_afxSockState$n$CProcessLocal$::1n$_AFX_SOCK_STATE$$$
